%define name		coin
%define tarname		Coin
%define version		3.1.3
%define release		%mkrel 2
%define major		60
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d
%define lib_name_orig	libcoin

Summary:		Implementation of the Open Inventor API
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		http://ftp.%{name}3d.org/%{name}/src/all/%{tarname}-%{version}.tar.gz
License:		GPLv2
Group:			System/Libraries
URL:			http://www.coin3d.org/
BuildRequires:		mesagl-devel

%description 
Coin is an implementation of the Open Inventor API, fully backwards
compatible with SGI Open Inventor v2.1, and incorporating many new
features.
Coin is portable across Win32, Linux, SGI IRIX, Mac OS X, HP-UX, Sun
Solaris, IBM AIX, and other platforms.

%package -n %{libname}
Summary:		Main library for Coin
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Coin.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use Coin
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{lib_name_orig}-devel = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use Coin.

%prep
%setup -q -n %{tarname}-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{libnamedev}
%doc README FAQ AUTHORS NEWS RELNOTES THANKS
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/%{tarname}
%_datadir/aclocal
%{_mandir}/man1/*
%{_libdir}/pkgconfig/*.pc



%changelog

* Tue Feb 21 2012 barjac <barjac> 3.1.3-2.mga2
+ Revision: 211636
- Corrected Requires on -devel

* Tue Feb 21 2012 barjac <barjac> 3.1.3-1.mga2
+ Revision: 211381
- New version 3.1.3
- imported package coin


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 2.4.6-7mdv2011.0
+ Revision: 635133
- new devel package policy

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.6-6mdv2011.0
+ Revision: 617404
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.4.6-5mdv2010.0
+ Revision: 437061
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.4.6-4mdv2009.0
+ Revision: 243593
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.4.6-2mdv2008.1
+ Revision: 170787
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 26 2007 Gaëtan Lehmann <glehmann@mandriva.org> 2.4.6-1mdv2008.0
+ Revision: 71581
- 2.4.6
- Import coin



* Fri May 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4.5-1mdv2007.0
- New release 2.4.5
- fix source url

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.4-2mdk
- BuildRequires Fix

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 2.4.4-1mdk
- 2.4.4

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.3-1mdk
- New release 2.4.3

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-2mdk
- rebuild

* Fri Oct 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0

* Fri Jun 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2a-1mdk
- use mklibname
- fix filelist
- from Jan Villat <rpms@djdie.net> : 
	- Updated version number

* Mon May 05 2003 Jan Villat <rpms@djdie.net> 2.0.0-1mdk
- First RPM build

# end of file
